tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Knute Snortum <kSnor...@catalystitservices.com>
Subject RE: tomcat7-maven-plugin doesn't understand Maven filtering of context files?
Date Wed, 29 Aug 2012 16:13:31 GMT
[part of message deleted]

> >> > [INFO]
> >> > [INFO] >>> tomcat-maven-plugin:1.1:run (default-cli) @ dpt >>>
> >>
> >> you are using an old version here ? Don't you have duplicate entries
> >> in your pom ?
> >
> > There's no duplicate.  The one I have looks like this:
> >
> >         <plugin>
> >                 <groupId>org.apache.tomcat.maven</groupId>
> >                 <artifactId>tomcat7-maven-plugin</artifactId>
> >                 <version>${tomcat7MavenPlugin}</version>
> >                 ...
> >
> > And my properties look like:
> >
> >         <tomcat7MavenPlugin>2.0-beta-1</tomcat7MavenPlugin>
> >
> Ok but the logs doesn't says that :-)

True.  I'm not sure why.  I'll fool with it some.

> What cli are you using ?

If I understand you, it's this:

	mvn clean install tomcat:run -P development

I'm making that up because it's actually run from an Eclipse form.  When I run that from the
command line in the project folder, I get the same results so I think it's right...

I just noticed that the CLI should be:

	mvn clean install tomcat7:run -P development

...with "tomcat7" not "tomcat".  This gives me the Tomcat 2.0-beta-1 version that we were
excepting.  I also notice the debug flag (-e?) and that gives me a ton of info.  Should I
repost the output, or some of it?  Add as an attachment?

> BTW do you have any sample project to reproduce your issue ?

It would be complex to do this, but I'm going to try.  I'm not sure how I would post that.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message